diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/applications/bindings/modulegen__gcc_LP64.py ns-3.34/src/applications/bindings/modulegen__gcc_LP64.py
--- ns-3.33/src/applications/bindings/modulegen__gcc_LP64.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/applications/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
@@ -48,6 +48,10 @@
     typehandlers.add_type_alias('std::list< ns3::AttributeConstructionList::Item > const_iterator', 'ns3::AttributeConstructionList::CIterator')
     typehandlers.add_type_alias('std::list< ns3::AttributeConstructionList::Item > const_iterator*', 'ns3::AttributeConstructionList::CIterator*')
     typehandlers.add_type_alias('std::list< ns3::AttributeConstructionList::Item > const_iterator&', 'ns3::AttributeConstructionList::CIterator&')
+    ## bit-deserializer.h (module 'network'): ns3::BitDeserializer [class]
+    module.add_class('BitDeserializer', import_from_module='ns.network')
+    ## bit-serializer.h (module 'network'): ns3::BitSerializer [class]
+    module.add_class('BitSerializer', import_from_module='ns.network')
     ## buffer.h (module 'network'): ns3::Buffer [class]
     module.add_class('Buffer', import_from_module='ns.network')
     ## buffer.h (module 'network'): ns3::Buffer::Iterator [class]
@@ -123,12 +127,16 @@
     module.add_class('Ipv4Address', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Address [class]
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Mask [class]
     module.add_class('Ipv4Mask', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     module.add_class('Ipv6Address', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix [class]
     module.add_class('Ipv6Prefix', import_from_module='ns.network')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -229,7 +237,7 @@
     ## trace-helper.h (module 'network'): ns3::PcapHelper [class]
     module.add_class('PcapHelper', import_from_module='ns.network')
     ## trace-helper.h (module 'network'): ns3::PcapHelper::DataLinkType [enumeration]
-    module.add_enum('DataLinkType', ['DLT_NULL', 'DLT_EN10MB', 'DLT_PPP', 'DLT_RAW', 'DLT_IEEE802_11', 'DLT_LINUX_SLL', 'DLT_PRISM_HEADER', 'DLT_IEEE802_11_RADIO', 'DLT_IEEE802_15_4', 'DLT_NETLINK'], outer_class=root_module['ns3::PcapHelper'], import_from_module='ns.network')
+    module.add_enum('DataLinkType', ['DLT_NULL', 'DLT_EN10MB', 'DLT_PPP', 'DLT_RAW', 'DLT_IEEE802_11', 'DLT_LINUX_SLL', 'DLT_PRISM_HEADER', 'DLT_IEEE802_11_RADIO', 'DLT_IEEE802_15_4', 'DLT_NETLINK', 'DLT_LORATAP'], outer_class=root_module['ns3::PcapHelper'], import_from_module='ns.network')
     ## trace-helper.h (module 'network'): ns3::PcapHelperForDevice [class]
     module.add_class('PcapHelperForDevice', allow_subclassing=True, import_from_module='ns.network')
     ## queue-size.h (module 'network'): ns3::QueueSize [class]
@@ -826,6 +834,7 @@
     module.add_class('PbbAddressTlv', import_from_module='ns.network', parent=root_module['ns3::PbbTlv'])
     ## queue-item.h (module 'network'): ns3::QueueDiscItem [class]
     module.add_class('QueueDiscItem', import_from_module='ns.network', parent=root_module['ns3::QueueItem'])
+    module.add_container('std::vector< unsigned char >', 'unsigned char', container_type='vector')
     module.add_container('std::map< std::string, ns3::LogComponent * >', ('std::string', 'ns3::LogComponent *'), container_type='map')
     module.add_container('std::list< ns3::Ptr< ns3::Packet > >', 'ns3::Ptr< ns3::Packet >', container_type='list')
     module.add_container('std::vector< ns3::Ipv6Address >', 'ns3::Ipv6Address', container_type='vector')
@@ -1003,6 +1012,8 @@
     register_Ns3AsciiTraceHelperForDevice_methods(root_module, root_module['ns3::AsciiTraceHelperForDevice'])
     register_Ns3AttributeConstructionList_methods(root_module, root_module['ns3::AttributeConstructionList'])
     register_Ns3AttributeConstructionListItem_methods(root_module, root_module['ns3::AttributeConstructionList::Item'])
+    register_Ns3BitDeserializer_methods(root_module, root_module['ns3::BitDeserializer'])
+    register_Ns3BitSerializer_methods(root_module, root_module['ns3::BitSerializer'])
     register_Ns3Buffer_methods(root_module, root_module['ns3::Buffer'])
     register_Ns3BufferIterator_methods(root_module, root_module['ns3::Buffer::Iterator'])
     register_Ns3BulkSendHelper_methods(root_module, root_module['ns3::BulkSendHelper'])
@@ -1036,8 +1047,10 @@
     register_Ns3Inet6SocketAddress_methods(root_module, root_module['ns3::Inet6SocketAddress'])
     register_Ns3InetSocketAddress_methods(root_module, root_module['ns3::InetSocketAddress'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4Mask_methods(root_module, root_module['ns3::Ipv4Mask'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6Prefix_methods(root_module, root_module['ns3::Ipv6Prefix'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3Mac16Address_methods(root_module, root_module['ns3::Mac16Address'])
@@ -1568,6 +1581,52 @@
     cls.add_instance_attribute('value', 'ns3::Ptr< ns3::AttributeValue >', is_const=False)
     return
 
+def register_Ns3BitDeserializer_methods(root_module, cls):
+    ## bit-deserializer.h (module 'network'): ns3::BitDeserializer::BitDeserializer(ns3::BitDeserializer const & arg0) [constructor]
+    cls.add_constructor([param('ns3::BitDeserializer const &', 'arg0')])
+    ## bit-deserializer.h (module 'network'): ns3::BitDeserializer::BitDeserializer() [constructor]
+    cls.add_constructor([])
+    ## bit-deserializer.h (module 'network'): uint64_t ns3::BitDeserializer::GetBits(uint8_t size) [member function]
+    cls.add_method('GetBits', 
+                   'uint64_t', 
+                   [param('uint8_t', 'size')])
+    ## bit-deserializer.h (module 'network'): void ns3::BitDeserializer::PushByte(uint8_t byte) [member function]
+    cls.add_method('PushByte', 
+                   'void', 
+                   [param('uint8_t', 'byte')])
+    ## bit-deserializer.h (module 'network'): void ns3::BitDeserializer::PushBytes(std::vector<unsigned char, std::allocator<unsigned char> > bytes) [member function]
+    cls.add_method('PushBytes', 
+                   'void', 
+                   [param('std::vector< unsigned char >', 'bytes')])
+    ## bit-deserializer.h (module 'network'): void ns3::BitDeserializer::PushBytes(uint8_t * bytes, uint32_t size) [member function]
+    cls.add_method('PushBytes', 
+                   'void', 
+                   [param('uint8_t *', 'bytes'), param('uint32_t', 'size')])
+    return
+
+def register_Ns3BitSerializer_methods(root_module, cls):
+    ## bit-serializer.h (module 'network'): ns3::BitSerializer::BitSerializer(ns3::BitSerializer const & arg0) [constructor]
+    cls.add_constructor([param('ns3::BitSerializer const &', 'arg0')])
+    ## bit-serializer.h (module 'network'): ns3::BitSerializer::BitSerializer() [constructor]
+    cls.add_constructor([])
+    ## bit-serializer.h (module 'network'): std::vector<unsigned char, std::allocator<unsigned char> > ns3::BitSerializer::GetBytes() [member function]
+    cls.add_method('GetBytes', 
+                   'std::vector< unsigned char >', 
+                   [])
+    ## bit-serializer.h (module 'network'): uint8_t ns3::BitSerializer::GetBytes(uint8_t * buffer, uint32_t size) [member function]
+    cls.add_method('GetBytes', 
+                   'uint8_t', 
+                   [param('uint8_t *', 'buffer'), param('uint32_t', 'size')])
+    ## bit-serializer.h (module 'network'): void ns3::BitSerializer::InsertPaddingAtEnd(bool padAtEnd) [member function]
+    cls.add_method('InsertPaddingAtEnd', 
+                   'void', 
+                   [param('bool', 'padAtEnd')])
+    ## bit-serializer.h (module 'network'): void ns3::BitSerializer::PushBits(uint64_t value, uint8_t significantBits) [member function]
+    cls.add_method('PushBits', 
+                   'void', 
+                   [param('uint64_t', 'value'), param('uint8_t', 'significantBits')])
+    return
+
 def register_Ns3Buffer_methods(root_module, cls):
     ## buffer.h (module 'network'): ns3::Buffer::Buffer(ns3::Buffer const & o) [constructor]
     cls.add_constructor([param('ns3::Buffer const &', 'o')])
@@ -2046,6 +2105,14 @@
 def register_Ns3DataRate_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('!=')
+    cls.add_binary_numeric_operator('*', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('double', 'right'))
+    cls.add_binary_numeric_operator('*', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('uint64_t', 'right'))
+    cls.add_inplace_numeric_operator('*=', param('double', 'right'))
+    cls.add_inplace_numeric_operator('*=', param('uint64_t', 'right'))
+    cls.add_binary_numeric_operator('+', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('ns3::DataRate', 'right'))
+    cls.add_inplace_numeric_operator('+=', param('ns3::DataRate', 'right'))
+    cls.add_binary_numeric_operator('-', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('ns3::DataRate', 'right'))
+    cls.add_inplace_numeric_operator('-=', param('ns3::DataRate', 'right'))
     cls.add_binary_comparison_operator('<')
     cls.add_binary_comparison_operator('<=')
     cls.add_binary_comparison_operator('==')
@@ -2579,6 +2646,18 @@
                    [param('char const *', 'address')])
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4Mask_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -2792,6 +2871,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -2867,6 +2951,18 @@
                    [param('uint8_t *', 'address')])
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6Prefix_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -2887,6 +2983,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -5919,10 +6020,10 @@
     cls.add_method('SetHeMuFields', 
                    'void', 
                    [param('uint16_t', 'flags1'), param('uint16_t', 'flags2'), param('std::array< unsigned char, 4 > const &', 'ruChannel1'), param('std::array< unsigned char, 4 > const &', 'ruChannel2')])
-    ## radiotap-header.h (module 'network'): void ns3::RadiotapHeader::SetHeMuPerUserFields(uint16_t per_user_1, uint16_t per_user_2, uint8_t perUserPosition, uint8_t perUserKnown) [member function]
+    ## radiotap-header.h (module 'network'): void ns3::RadiotapHeader::SetHeMuPerUserFields(uint16_t perUser1, uint16_t perUser2, uint8_t perUserPosition, uint8_t perUserKnown) [member function]
     cls.add_method('SetHeMuPerUserFields', 
                    'void', 
-                   [param('uint16_t', 'per_user_1'), param('uint16_t', 'per_user_2'), param('uint8_t', 'perUserPosition'), param('uint8_t', 'perUserKnown')])
+                   [param('uint16_t', 'perUser1'), param('uint16_t', 'perUser2'), param('uint8_t', 'perUserPosition'), param('uint8_t', 'perUserKnown')])
     ## radiotap-header.h (module 'network'): void ns3::RadiotapHeader::SetMcsFields(uint8_t known, uint8_t flags, uint8_t mcs) [member function]
     cls.add_method('SetMcsFields', 
                    'void', 
@@ -6623,10 +6724,10 @@
     cls.add_method('SetPriority', 
                    'void', 
                    [param('uint8_t', 'priority')])
-    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> arg0) [member function]
+    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> receivedData) [member function]
     cls.add_method('SetRecvCallback', 
                    'void', 
-                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'arg0')])
+                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'receivedData')])
     ## socket.h (module 'network'): void ns3::Socket::SetRecvPktInfo(bool flag) [member function]
     cls.add_method('SetRecvPktInfo', 
                    'void', 
@@ -11285,6 +11386,11 @@
                    'bool', 
                    [param('std::list< ns3::Ptr< ns3::Packet > > const_iterator', 'pos'), param('ns3::Ptr< ns3::Packet >', 'item')], 
                    visibility='protected')
+    ## queue.h (module 'network'): bool ns3::Queue<ns3::Packet>::DoEnqueue(ns3::Queue<ns3::Packet>::ConstIterator pos, ns3::Ptr<ns3::Packet> item, ns3::Queue<ns3::Packet>::Iterator & ret) [member function]
+    cls.add_method('DoEnqueue', 
+                   'bool', 
+                   [param('std::list< ns3::Ptr< ns3::Packet > > const_iterator', 'pos'), param('ns3::Ptr< ns3::Packet >', 'item'), param('ns3::Queue< ns3::Packet > Iterator &', 'ret')], 
+                   visibility='protected')
     ## queue.h (module 'network'): ns3::Ptr<ns3::Packet> ns3::Queue<ns3::Packet>::DoDequeue(ns3::Queue<ns3::Packet>::ConstIterator pos) [member function]
     cls.add_method('DoDequeue', 
                    'ns3::Ptr< ns3::Packet >', 
@@ -11310,6 +11416,11 @@
                    'void', 
                    [param('ns3::Ptr< ns3::Packet >', 'item')], 
                    visibility='protected')
+    ## queue.h (module 'network'): void ns3::Queue<ns3::Packet>::DoDispose() [member function]
+    cls.add_method('DoDispose', 
+                   'void', 
+                   [], 
+                   is_virtual=True, visibility='protected')
     return
 
 def register_Ns3Queue__Ns3QueueDiscItem_methods(root_module, cls):
@@ -11371,6 +11482,11 @@
                    'bool', 
                    [param('std::list< ns3::Ptr< ns3::QueueDiscItem > > const_iterator', 'pos'), param('ns3::Ptr< ns3::QueueDiscItem >', 'item')], 
                    visibility='protected')
+    ## queue.h (module 'network'): bool ns3::Queue<ns3::QueueDiscItem>::DoEnqueue(ns3::Queue<ns3::QueueDiscItem>::ConstIterator pos, ns3::Ptr<ns3::QueueDiscItem> item, ns3::Queue<ns3::QueueDiscItem>::Iterator & ret) [member function]
+    cls.add_method('DoEnqueue', 
+                   'bool', 
+                   [param('std::list< ns3::Ptr< ns3::QueueDiscItem > > const_iterator', 'pos'), param('ns3::Ptr< ns3::QueueDiscItem >', 'item'), param('ns3::Queue< ns3::QueueDiscItem > Iterator &', 'ret')], 
+                   visibility='protected')
     ## queue.h (module 'network'): ns3::Ptr<ns3::QueueDiscItem> ns3::Queue<ns3::QueueDiscItem>::DoDequeue(ns3::Queue<ns3::QueueDiscItem>::ConstIterator pos) [member function]
     cls.add_method('DoDequeue', 
                    'ns3::Ptr< ns3::QueueDiscItem >', 
@@ -11396,6 +11512,11 @@
                    'void', 
                    [param('ns3::Ptr< ns3::QueueDiscItem >', 'item')], 
                    visibility='protected')
+    ## queue.h (module 'network'): void ns3::Queue<ns3::QueueDiscItem>::DoDispose() [member function]
+    cls.add_method('DoDispose', 
+                   'void', 
+                   [], 
+                   is_virtual=True, visibility='protected')
     return
 
 def register_Ns3QueueItem_methods(root_module, cls):
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/applications/model/bulk-send-application.h ns-3.34/src/applications/model/bulk-send-application.h
--- ns-3.33/src/applications/model/bulk-send-application.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/applications/model/bulk-send-application.h	2021-07-14 10:31:06.000000000 -0700
@@ -151,8 +151,13 @@
   void ConnectionFailed (Ptr<Socket> socket);
   /**
    * \brief Send more data as soon as some has been transmitted.
+   *
+   * Used in socket's SetSendCallback - params are forced by it.
+   *
+   * \param socket socket to use
+   * \param unused actually unused
    */
-  void DataSend (Ptr<Socket>, uint32_t); // for socket's SetSendCallback
+  void DataSend (Ptr<Socket> socket, uint32_t unused);
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/applications/model/udp-server.cc ns-3.34/src/applications/model/udp-server.cc
--- ns-3.33/src/applications/model/udp-server.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/applications/model/udp-server.cc	2021-07-14 10:31:06.000000000 -0700
@@ -176,12 +176,13 @@
       m_rxTraceWithAddresses (packet, from, localAddress);
       if (packet->GetSize () > 0)
         {
+          uint32_t receivedSize = packet->GetSize ();
           SeqTsHeader seqTs;
           packet->RemoveHeader (seqTs);
           uint32_t currentSequenceNumber = seqTs.GetSeq ();
           if (InetSocketAddress::IsMatchingType (from))
             {
-              NS_LOG_INFO ("TraceDelay: RX " << packet->GetSize () <<
+              NS_LOG_INFO ("TraceDelay: RX " << receivedSize <<
                            " bytes from "<< InetSocketAddress::ConvertFrom (from).GetIpv4 () <<
                            " Sequence Number: " << currentSequenceNumber <<
                            " Uid: " << packet->GetUid () <<
@@ -191,7 +192,7 @@
             }
           else if (Inet6SocketAddress::IsMatchingType (from))
             {
-              NS_LOG_INFO ("TraceDelay: RX " << packet->GetSize () <<
+              NS_LOG_INFO ("TraceDelay: RX " << receivedSize <<
                            " bytes from "<< Inet6SocketAddress::ConvertFrom (from).GetIpv6 () <<
                            " Sequence Number: " << currentSequenceNumber <<
                            " Uid: " << packet->GetUid () <<
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/applications/test/bulk-send-application-test-suite.cc ns-3.34/src/applications/test/bulk-send-application-test-suite.cc
--- ns-3.33/src/applications/test/bulk-send-application-test-suite.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/applications/test/bulk-send-application-test-suite.cc	2021-07-14 10:31:06.000000000 -0700
@@ -39,6 +39,12 @@
 
 using namespace ns3;
 
+/**
+ * \ingroup applications-test
+ * \ingroup tests
+ *
+ * Basic test, checks that the right quantity of packets are sent and received.
+ */
 class BulkSendBasicTestCase : public TestCase
 {
 public:
@@ -47,10 +53,19 @@
 
 private:
   virtual void DoRun (void);
+  /**
+   * Record a packet successfully sent
+   * \param p the packet
+   */
   void SendTx (Ptr<const Packet> p);
+  /**
+   * Record a packet successfully received
+   * \param p the packet
+   * \param addr the sender's address
+   */
   void ReceiveRx (Ptr<const Packet> p, const Address& addr); 
-  uint64_t m_sent {0};
-  uint64_t m_received {0};
+  uint64_t m_sent {0};      //!< number of bytes sent
+  uint64_t m_received {0};  //!< number of bytes received
 };
 
 BulkSendBasicTestCase::BulkSendBasicTestCase ()
@@ -118,9 +133,14 @@
   NS_TEST_ASSERT_MSG_EQ (m_received, 300000, "Received the full 300000 bytes");
 }
 
-// This test checks that the sequence number is sent and received in sequence
-// despite the sending application having to pause and restart its sending
-// due to a temporarily full transmit buffer.
+/**
+ * \ingroup applications-test
+ * \ingroup tests
+ *
+ * This test checks that the sequence number is sent and received in sequence
+ * despite the sending application having to pause and restart its sending
+ * due to a temporarily full transmit buffer.
+ */
 class BulkSendSeqTsSizeTestCase : public TestCase
 {
 public:
@@ -129,14 +149,28 @@
 
 private:
   virtual void DoRun (void);
+  /**
+   * Record a packet successfully sent
+   * \param p the packet
+   * \param from source address
+   * \param to destination address
+   * \param header the SeqTsSizeHeader
+   */
   void SendTx (Ptr<const Packet> p, const Address &from, const Address & to, const SeqTsSizeHeader &header);
+  /**
+   * Record a packet successfully received
+   * \param p the packet
+   * \param from source address
+   * \param to destination address
+   * \param header the SeqTsSizeHeader
+   */
   void ReceiveRx (Ptr<const Packet> p, const Address &from, const Address & to, const SeqTsSizeHeader &header);
-  uint64_t m_sent {0};
-  uint64_t m_received {0};
-  uint64_t m_seqTxCounter {0};
-  uint64_t m_seqRxCounter {0};
-  Time m_lastTxTs {Seconds (0)};
-  Time m_lastRxTs {Seconds (0)};
+  uint64_t m_sent {0};            //!< number of bytes sent
+  uint64_t m_received {0};        //!< number of bytes received
+  uint64_t m_seqTxCounter {0};    //!< Counter for Sequences on Tx
+  uint64_t m_seqRxCounter {0};    //!< Counter for Sequences on Rx
+  Time m_lastTxTs {Seconds (0)};  //!< Last recored timestamp on Tx
+  Time m_lastRxTs {Seconds (0)};  //!< Last recored timestamp on Rx
 };
 
 BulkSendSeqTsSizeTestCase::BulkSendSeqTsSizeTestCase ()
@@ -216,6 +250,12 @@
   NS_TEST_ASSERT_MSG_EQ (m_received, 300000, "Received the full 300000 bytes");
 }
 
+/**
+ * \ingroup applications-test
+ * \ingroup tests
+ *
+ * \brief BulkSend TestSuite
+ */
 class BulkSendTestSuite : public TestSuite
 {
 public:
@@ -229,5 +269,5 @@
   AddTestCase (new BulkSendSeqTsSizeTestCase, TestCase::QUICK);
 }
 
-static BulkSendTestSuite g_bulkSendTestSuite;
+static BulkSendTestSuite g_bulkSendTestSuite; //!< Static variable for test initialization
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/applications/test/three-gpp-http-client-server-test.cc ns-3.34/src/applications/test/three-gpp-http-client-server-test.cc
--- ns-3.33/src/applications/test/three-gpp-http-client-server-test.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/applications/test/three-gpp-http-client-server-test.cc	2021-07-14 10:31:06.000000000 -0700
@@ -57,6 +57,8 @@
 
 /**
  * \ingroup http
+ * \ingroup applications-test
+ * \ingroup tests
  * A test class which verifies that each HTTP object sent is also received the
  * same size.
  *
@@ -785,6 +787,8 @@
 
 /**
  * \ingroup http
+ * \ingroup applications-test
+ * \ingroup tests
  * A test class for running several system tests which validate the web
  * browsing traffic model.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/applications/wscript ns-3.34/src/applications/wscript
--- ns-3.33/src/applications/wscript	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/applications/wscript	2021-07-14 10:31:06.000000000 -0700
@@ -1,7 +1,7 @@
 ## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
 
 def build(bld):
-    module = bld.create_ns3_module('applications', ['internet', 'config-store','stats'])
+    module = bld.create_ns3_module('applications', ['internet', 'stats'])
     module.source = [
         'model/bulk-send-application.cc',
         'model/onoff-application.cc',
